snd_pcm_stop
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_stop —

## Synopsis

`int snd_pcm_stop (` | struct snd_pcm_substream * | substream,
| int | state`)`;

## Arguments

`substream`

  the PCM substream instance

`state`

  PCM state after stopping the stream

## Description

Try to stop all running streams in the substream group. The state of each stream is changed to the given value after that unconditionally.

Prev | Up | Next
snd_hwdep_new | Home | snd_pcm_suspend